Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Modeling » GMF (Graphical Modeling Framework) » How to install latest stable build of GMF?
How to install latest stable build of GMF? [message #221336] Thu, 12 March 2009 17:21 Go to next message
Eclipse UserFriend
Originally posted by: cayla_sha.gmx.net

Hello!

I tried the whole afternoon to get GMF 2.2.0 working.

I wanted a brand-new system. First I tried to install all stable builds
over Help -> Software Updates, but I couldn`t install anything, because
there was always a problem. (can`t remember the faults, but they were
very strange)
So I downloaded latest Eclipse (3.5M5), EMF (Runtime, Source and
Documentation 2.5.0M5), GEF (SDK 3.5.0M5) and of course GMF (SDK
2.2.0M5a). I un-packed all zip-files and put all features and plugins in
the right folders.
(I downloaded the whole EMF and GEF because I want the sources, because
that`s more comfortable when debugging)

But now I have errors in my MANIFEST.MF and plugin.xml. It says, that
some bundles "cannot be resolved". These bundles are:
org.eclipse.gmf.runtime.emf.core,
org.eclipse.gmf.runtime.emf.commands.core,
org.eclipse.gmf.runtime.emf.ui.properties,
org.eclipse.gmf.runtime.diagram.ui,
org.eclipse.gmf.runtime.diagram.ui.printing,
org.eclipse.gmf.runtime.diagram.ui.printing.render,
org.eclipse.gmf.runtime.diagram.ui.properties,
org.eclipse.gmf.runtime.diagram.ui.providers,
org.eclipse.gmf.runtime.diagram.ui.providers.ide,
org.eclipse.gmf.runtime.diagram.ui.render,
org.eclipse.gmf.runtime.diagram.ui.resources.editor,
org.eclipse.gmf.runtime.diagram.ui.resources.editor.ide,
org.eclipse.ocl.ecore

When I look into the plugins-folder I can find all bundles, except for
the last. The present bundles are all newer versions than the ones I
used before.

Additionally the editors for editing a gmfgraph, gmfmap, gmftool, gmfgen
and ecore_diagram are missing.
That means I`m not abel to re-generate the diagram-project.

I tried to add the plugins to the build path (with right click on
project -> Properties -> Java Build Path -> "Add external jars") but
this didn`t help.

In the MANIFEST.MF I looked also into the tab "Dependencies" and tried
to remove and re-add the bundles, but I can`t find the bundles in the
list the program gives to me.

What am I missing? What am I doing wrong?

Best wishes
Julia
Re: How to install latest stable build of GMF? [message #221376 is a reply to message #221336] Fri, 13 March 2009 12:41 Go to previous messageGo to next message
Alexander Shatalin is currently offline Alexander ShatalinFriend
Messages: 2928
Registered: July 2009
Senior Member
Hello Cayla,

See http://www.eclipse.org/modeling/gmf/downloads/?project= , Build Dependencies
section:

you have to download and install in addition following packages:

Query 1.2.0 R200806091744
Transaction 1.2.1 R200808130946
Validation 1.2.1 R200808130931
OCL 1.2.3RC2 S200902101708
UML2 2.2.2RC2 S200902101042
Orbit R20080807152315

-----------------
Alex Shatalin
Re: How to install latest stable build of GMF? [message #221392 is a reply to message #221376] Fri, 13 March 2009 13:31 Go to previous message
Eclipse UserFriend
Originally posted by: cayla_sha.gmx.net

Hello Alex,

thank you very much! Now my brand-new system works :)

Best wishes
Julia
Previous Topic:Multiple editors editor for contained model elements
Next Topic:Extend generated GMF diagram wizard
Goto Forum:
  


Current Time: Tue Mar 02 15:05:09 GMT 2021

Powered by FUDForum. Page generated in 0.01196 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top